resource "azuread_application" "aad_cloudockit" {
  display_name     = "APP-Cloudockit"
  identifier_uris  = [azurerm_app_service.docker_api.default_site_hostname]
  sign_in_audience = "AzureADMultipleOrgs"
  web {
    homepage_url  = lower(local.aad_reply_urls)
    redirect_uris = [lower(local.aad_reply_urls)]
    implicit_grant {
      access_token_issuance_enabled = false
    }
  }
  required_resource_access {
    resource_app_id = "00000003-0000-0000-c000-000000000000"
    resource_access {
      id   = "e1fe6dd8-ba31-4d61-89e7-88639da4683d"
      type = "Scope"
    }
  }
}

resource "azuread_application_password" "aad_cloudockit_password" {
  application_object_id = azuread_application.aad_cloudockit.id
  end_date_relative     = "17520h" # 2 years
}

resource "azuread_service_principal" "aad_cloudockit_spn" {
  application_id               = azuread_application.aad_cloudockit.application_id
  app_role_assignment_required = false
  tags                         = ["WindowsAzureActiveDirectoryIntegratedApp", "notApiConsumer", "webApp"]
}


