# Variables
$tf_path = "C:\xxxx\xxxx\tf-template" # ToUpdate : set correct local path location terraform folder
$az_tenantId = "xxxx" # ToUpdate : set target azure ad tenant Id
$az_subscriptionId = "xxxx" # ToUpdate : set target azure ad subscription Id

# Az Login
$check_azlogin = az account show | ConvertFrom-Json
if (!($check_azlogin.tenantId -eq $az_tenantId)) {
    az login --t $az_tenantId
}
if (!($check_azlogin.id -eq $az_subscriptionId)) {
    az account set -s $az_subscriptionId
}

# Change local path
Set-Location $tf_path

# TF - Initialization
terraform init
if (!($?)) {
    throw "TF Initialization Error"
}

# TF - Config validation
terraform validate
if (!($?)) {
    throw "TF configuration error"
}

# TF - Prepare plan
terraform plan -out="plan.tf_plan"
if (!($?)) {
    throw "TF plan error"
}

# TF - Apply plan
[string]$result = Read-Host "Do you want to apply this release [yes/no] ?"
if ($result -eq "yes") {
    terraform apply -input=false -no-color -auto-approve "plan.tf_plan"
}
else {
    Write-Host "Terraform plan plan.tf_plan is not applied"
}
