locals {
  project = "Cloudockit"
  release = "local_debug"
  common_tags = {
    environment = local.environment
    project     = local.project
  }
  rg_tags = merge({
    release = local.release
  }, local.common_tags)
  environment = "PROD"
  location    = "West Europe" # ToUpdate : change correct target datacenter location

  cloudockit_container = {
    registry = "cloudockitcontainerregistry.azurecr.io"
    user     = "xxxxxx" # ToUpdate : change correct ACR user, provided by Cloudockit
    password = "xxxxxx" # ToUpdate : change correct ACR password, provided by Cloudockit
  }
  cloudockit_storage = {
    licence = "xxxxxx" # ToUpdate : change correct Storage Account name, provided by Cloudockit
    drop    = "xxxxxx" # ToUpdate : Storage Account Name for DropOff (and snapshaot comparaison)
  }
  cloudockit_plan = {
    tier = "Basic" # ToUpdate : ajust Plan Tier SKU
    size = "B2"    # ToUpdate : ajust Plan Size SKU
  }
  cloudockit_memory = 2048 # ToUpdate : ajust memory allocation based on Plan SKU
  aad_reply_urls    = "https://cloudickit.com"
}

# Azure Data source
data "azurerm_client_config" "current" {}
data "azurerm_subscription" "current" {}
